# -*- coding: utf-8 -*-
# RaumplanerController.py
from RaumplanerGui import *
from RaumplanerGrafik import *
from Tisch import *
from Stuhl import *


class MyApp(wx.App):    
        
    def OnInit(self):
        self.gui = Gui(None, 'Raumplaner-Gui', self)
        self.frame = Fenster(self.gui, self, "Grafik")
        self.objekte = []
        self.Tischgruppe()
        self.SetTopWindow(self.gui)
        self.gui.Show(True)
        self.frame.Show(True)
        return True


    ##### Methode fuer die Ereignisbehandlung: (Quelle Demo-Projekt "Python-Events")
    def ZeichenflaecheClick(self, evt):
        position=evt.GetMyVal()
        print position
        i=0
        for objekt in self.objekte:
            i=i+1
            #print objekt.Angeklickt(position)
            if objekt.Angeklickt(position):
                self.gui.SetIndex(i)
                print "weiter", i
                objekt.BewegeHorizontal(10)
        self.frame.Zeichne(self.objekte)
        
    def Tischgruppe(self):
        """
            Nur für Testzwecke:
        """
        self.objekte+=[Tisch(10, 70, 120, 60, 0, "RED")]
        self.objekte+=[Stuhl(20, 20, 40, 40, 0, "GREEN")]
        self.objekte+=[Stuhl(80, 20, 40, 40, 0, "GREEN")]
        self.objekte+=[Stuhl(20, 150, 40, 40, 180, "BROWN")]
        self.objekte+=[Stuhl(80, 150, 40, 40, 180, "BROWN")]
        self.frame.Zeichne(self.objekte)

    def Action(self, text):
        if text=='neuer Stuhl':
            self.objekte+=[Stuhl(180, 250, 40, 40, 0, "YELLOW")]
        elif text=='neuer Tisch':
            self.objekte+=[Tisch(140, 300, 100, 80, 0, "BLUE")]
        elif text=='Loeschen':
            i=self.gui.GibIndex()
            if i>=0:
                if i<len(self.objekte):
                    self.objekte.remove(self.objekte[i])
        elif text=='Verbergen':
            i=self.gui.GibIndex()
            if i>=0:
                if i<len(self.objekte):
                    self.objekte[i].sichtbarAendern()
        elif text=='WiederZeigen':
            i=self.gui.GibIndex()
            if i>=0:
                if i<len(self.objekte):
                    self.objekte[i].sichtbarAendern()
        elif text=='Horizontal':
            i=self.gui.GibIndex()
            if i>=0:
                if i<len(self.objekte):
                    self.objekte[i].BewegeHorizontal(10)
        elif text=='Vertikal':
            i=self.gui.GibIndex()
            if i>=0:
                if i<len(self.objekte):
                    self.objekte[i].BewegeVertikal(10)
        self.frame.Zeichne(self.objekte)
        

app = MyApp(redirect=False)
# Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
app.MainLoop()

